/*
 Theme Name:   Woodmart Child
 Description:  Woodmart Child Theme
 Author:       XTemos
 Author URI:   http://xtemos.com
 Template:     woodmart
 Version:      1.0.0
 Text Domain:  woodmart
*/

/* =========================
   Общие стили (Desktop + базовые)
   ========================= */

/* New */


/* Defis */
.defis {
    hyphens: auto;
    -webkit-hyphens: auto;
    -moz-hyphens: auto;
    -ms-hyphens: auto;
}

/* limits the number of lines for entry text in post grid */
.wd-post-excerpt.entry-content {
    display: -webkit-box;
    -webkit-line-clamp: 2;
    -webkit-box-orient: vertical;
    overflow: hidden;
}

.wd-post .wd-post-title {
    font-size: 22px;
    display: -webkit-box;
    -webkit-line-clamp: 3;
    -webkit-box-orient: vertical;
    overflow: hidden;
}

.right-posts .wd-post-excerpt.entry-content {
    display: -webkit-box;
    -webkit-line-clamp: 3;
    -webkit-box-orient: vertical;
    overflow: hidden;
}

.right-posts .wd-post .wd-post-title {
    font-size: 22px;
    display: -webkit-box;
    -webkit-line-clamp: 2;
    -webkit-box-orient: vertical;
    overflow: hidden;
}

/* Social icons share */
.mysocials .wd-social-icons>a {
    background-color: #e8f3e4 !important;
    border: 2px solid #e8f3e4 !important;
}

.wd-social-icons.wd-size-small {
    --wd-social-size: 33px !important;
}

.wd-social-icons.wd-style-primary {
	--wd-social-color-hover: #298103 !important;
}

/* Easy Bookmark */
a.esbmrk-add-to-bookmark-btn {
    background-color: #E8F3E4;
    width: 36px;
    height: 36px;
    padding: 8px 10px;
    border-radius: 100%;
}

a.esbmrk-add-to-bookmark-btn.esbmrk-marked {
    background-color: #E8F3E4;
    width: 36px;
    height: 36px;
    padding: 8px 10px;
    border-radius: 100%;
}

/* text weight 600 */
.text-w600 {
    font-weight: 600;
    color: #333;
}

/* Post grid img height */
.single-related-carousel .wd-post-img.post-img-wrapp {
    max-height: 256px !important;
}

.starter-blog-grid .wd-post-img.post-img-wrapp {
    max-height: 256px !important;
}

.starter-blog-grid-4 .wd-post-thumb img {
    width: 100%;
    height: 220px;
    object-fit: cover;
}

/* Bottom mob menu - Article icon */
.wd-toolbar-link .wd-custom-icon img {
    height: 25px !important;
    margin-top: 3px;
}

/* Header bordered btn */
.green-bordered-btn:hover {
    border-color: rgba(48, 161, 0, 1) !important;
}

/* Mobile menu */
.wd-nav-mobile > li > a,
.wd-nav-mobile > li > ul li > a {
    min-height: 70px !important;
}

.whb-main-header {
    z-index: 500 !important;
}

.wd-side-hidden {
    --wd-side-hidden-w: min(85vw);
    /* margin-top: 60px; */
    z-index: 400;
}

.wd-search-form {
    padding-top: 60px;
}

/* Black bg under side menu */
.wd-close-side {
    z-index: 300;
}

/* Blog grid gap */
.wd-grid-g {
    gap: 40px 20px;
}

.wd-post-cat.wd-style-with-bg.meta-post-categories {
    align-self: center;
}

.wd-post-content {
    align-items: flex-start !important;
    text-align: left !important;
}

.wd-post-share.wd-tltp {
    color: #333 !important;
}

.wd-post-author {
    color: #666 !important;
}

/* Main page 3 top banners */
.left-posts .wd-post-thumb img {
    height: 410px;
    object-fit: cover;
}

.right-posts .wd-post-thumb img {
    height: 195px;
    object-fit: cover;
}

.right-posts .wd-post-inner {
    max-height: 195px;
}

.right-posts .blog-design-small-images.blog-style-flat .wd-post-content {
    padding: 0 0 0 20px;
}

.right-posts .wd-grid-g {
    gap: 20px;
}

.right-posts .wd-post-cat.wd-style-with-bg.meta-post-categories {
    display: none;
}

.right-posts .blog-design-small-images.has-post-thumbnail .wd-post-inner {
    align-items: flex-start;
}

/* Post grid count comment icon */
.wd-post-reply.wd-style-1 {
    display: none;
}

/* Footer logo */
.logo-footer img {
    border-radius: 0;
}

/* MyForm inline with icon */
.custom-form-container {
    display: flex;
    align-items: flex-start;
    max-width: 380px;
}

/* MyForm Field wrapper */
.custom-form-group {
    flex-grow: 1;
}

/* MyForm Fields style */
.custom-form-field {
    width: 100%;
    min-height: 48px !important;
    padding: 0 13px 0 20px;
    font-size: 17px;
    font-weight: 400;
    color: #131344;
    background-color: #f8f8f8 !important;
    border: 1px solid #e0e0e0;
    border-radius: 12px 0 0 12px !important; /* Left rounding */
    box-sizing: border-box;
    outline: none;
    transition: border-color 0.3s;
}

#subscribe .custom-form-field {
    background-color: #fff !important;
}

.custom-form-field:focus {
    border-color: #131344;
}

/* MyForm Send Button */
.custom-form-button {
    width: auto;
    height: 48px;
    color: #fff;
    padding: 0 20px;
    background-color: #35AD02;
    border: none;
    border-radius: 0 12px 12px 0; /* Right rounding */
    cursor: pointer;
    display: flex;
    align-items: center;
    justify-content: center;
    transition: background-color 0.3s, opacity 0.3s;
}

.custom-form-button:hover {
    opacity: 0.9;
    background-color: #3FBE04;
    color: #fff;
}

/* MyForm Icon of the button */
.custom-form-icon {
    display: inline-block;
    width: 8px;
    height: 8px;
    border-top: 2px solid #fff;
    border-right: 2px solid #fff;
    transform: rotate(45deg);
    margin-left: 5px;
}

/* MyForm Delete standard paddings for CF7, that could break the code */
.custom-form-container .wpcf7-form-control-wrap {
    display: block !important;
}

/* MyForm error message */
.custom-form-container .wpcf7-not-valid-tip {
    font-size: 13px;
    color: #880101 !important;
    position: absolute;
    margin-top: -34px;
    left: 75px;
}

form.wpcf7-form.invalid {
    display: flex;
    flex-direction: column;
    align-items: center;
}

div.wpcf7-response-output {
    margin: 0 !important;
    position: fixed;
	bottom: 15px !important;
    left: 15px !important;
    max-width: 93% !important;
    z-index: 400;
}

/* Tag cloud widget */
.widget[class*="_tag_cloud"] .tagcloud a {
    border: none !important;
    background-color: #e8f3e4;
    color: #30A100;
}

/* WoodMart Post image 100% width */
.wd-post-image {
    width: 100% !important;
    max-width: 100% !important;
}

.wd-post-image img {
    width: 100% !important;
    min-width: 100% !important;
    height: auto !important;
    max-height: 460px !important;
    object-fit: cover;
}

/* Top table scroll margin */
h2[id]::before,
h3[id]::before,
h4[id]::before {
    content: "";
    display: block;
    height: 20px;
    margin-top: -20px;
    pointer-events: none;
}

/* Accordion first item border */
.e-n-accordion > .e-n-accordion-item:first-child > .e-n-accordion-item-title {
    border-width: 0px !important;
}

/* Contact form rectangle */
fieldset.hidden-fields-container {
    display: none !important;
}

/* Bookmark icon in header */
.bookmark-header-icon {
    margin-left: -5px;
}

.bookmark-header-icon:hover {
    opacity: 0.8;
}

.bookmark-header-mob-icon {
	margin-left: -3px;
}

/* =========================
   Tablet (примерно до 1024px)
   ========================= */
@media (max-width: 1024px) {

    /* Error-success message */
    div.wpcf7-response-output {
		bottom: 65px !important;
        left: 15px;
        max-width: 90%;
    }

    /* Search requests */
    .wd-search-requests ul a {
        background-color: #e8f3e4 !important;
        color: #30A100 !important;
    }
	
	/* Post grid img height */
	.single-related-carousel .wd-post-img.post-img-wrapp {
		max-height: 212px !important;
	}

	.starter-blog-grid .wd-post-img.post-img-wrapp {
		max-height: 212px !important;
	}
	
	.starter-blog-grid-4 .wd-post-thumb img {
    height: 180px;
    max-height: 180px;
	}
}

/* =========================
   Mobile (примерно до 767px)
   ========================= */
@media (max-width: 767px) {

    /* Main page 3 top banners */
    .left-posts .wd-post-thumb img {
        height: 280px;
    }

    .right-posts .wd-post-thumb img {
        height: 280px;
    }

    .right-posts .wd-post-inner {
        max-height: unset;
        overflow: auto;
    }

    .right-posts .blog-design-small-images.blog-style-flat .wd-post-content {
        padding: 15px 0 0 0;
    }
	
	.right-posts .wd-grid-g {
    gap: 40px !important;
	}
	
	.starter-blog-grid .wd-grid-g {
    gap: 40px !important;
	}

    /* Menu icon */
    .whb-mobile-left .wd-tools-element .wd-tools-icon:before {
        font-size: 29px;
    }

    /* MyForm error message */
    .custom-form-container .wpcf7-not-valid-tip {
        left: 75px;
    }

    /* Error-success message */
    div.wpcf7-response-output {
        bottom: 60px !important;
        left: 4px !important;
        max-width: 85% !important;
    }

    /* Search requests */
    .wd-search-requests ul a {
        background-color: #e8f3e4 !important;
        color: #30A100 !important;
    }
	
		/* Post grid img height */
	.single-related-carousel .wd-post-img.post-img-wrapp {
		max-height: 266px !important;
	}

	.starter-blog-grid .wd-post-img.post-img-wrapp {
		max-height: 316px !important;
	}
	
	.starter-blog-grid-4 .wd-post-thumb img {
    height: 266px;
    max-height: 266px;
	}
}